Renegade Public Forums
C&C: Renegade --> Dying since 2003™, resurrected in 2024!
Home » Tiberian Technologies / Blackhand Studios » Tiberian Technologies Forum » does scripts 4.0 for servers work on linux?
does scripts 4.0 for servers work on linux? [message #477632] Sun, 02 December 2012 12:29 Go to next message
himselfd is currently offline  himselfd
Messages: 22
Registered: July 2009
Karma: 0
Recruit
Well I'm going to be in the near future hosting a server on a linux server machine and i need to know it is compatible with linux fds.

[Updated on: Sun, 02 December 2012 12:35]

Report message to a moderator

Re: does scripts 4.0 for servers work on linux? [message #477634 is a reply to message #477632] Sun, 02 December 2012 13:10 Go to previous messageGo to next message
danpaul88 is currently offline  danpaul88
Messages: 5795
Registered: June 2004
Location: England
Karma: 0
General (5 Stars)
There hasn't been a linux compatible scripts.dll release since version 2.0 or so and there's no development work being done to make it compatible. Nobody has used LFDS in years that I know of.

http://steamsignature.com/card/1/76561197975867233.png
Re: does scripts 4.0 for servers work on linux? [message #477657 is a reply to message #477632] Sun, 02 December 2012 23:45 Go to previous messageGo to next message
StealthEye is currently offline  StealthEye
Messages: 2518
Registered: May 2006
Location: The Netherlands
Karma: 0
General (2 Stars)

Exactly. Also, there are several issues with the stock LFDS as well, such as WOL not working out of the box, so it is really not recommended to run it on linux.

BlackIntel admin/founder/coder
Please visit http://www.blackintel.org/
Re: does scripts 4.0 for servers work on linux? [message #477659 is a reply to message #477632] Mon, 03 December 2012 02:23 Go to previous messageGo to next message
Ethenal is currently offline  Ethenal
Messages: 2532
Registered: January 2007
Location: US of A
Karma: 0
General (2 Stars)

A shame, though :<

-TLS-DJ-EYE-K wrote on Mon, 18 March 2013 07:29

Instead of showing us that u aren't more inteligent than a Toast, maybe you should start becomming good in renegade Thumbs Up

Re: does scripts 4.0 for servers work on linux? [message #477661 is a reply to message #477632] Mon, 03 December 2012 03:27 Go to previous messageGo to next message
EvilWhiteDragon is currently offline  EvilWhiteDragon
Messages: 3751
Registered: October 2005
Location: The Netherlands
Karma: 0
General (3 Stars)

A bit of a chicken/egg story. Had the original port been good enough to be often used by server owners, it would've likely formed the basis for scripts.dll development. At the very least it would've gotten more priority right from the start. Now all server owners have windows available for Renegade, thus the need for a linux port is rather non-existent.

http://www.blackintel.org/usr/evilwhitedragon/pointfix.gif
BlackIntel admin/founder/PR dude (not a coder)
Please visit http://www.blackintel.org/

V, V for Vendetta

People should not be afraid of their governments.
Governments should be afraid of their people.
Re: does scripts 4.0 for servers work on linux? [message #477666 is a reply to message #477632] Mon, 03 December 2012 07:10 Go to previous messageGo to next message
Good-One-Driver is currently offline  Good-One-Driver
Messages: 959
Registered: January 2009
Location: Ukraine
Karma: 0
Colonel
Yeah I have friends who are on linux and want to return to renegade and can't anymore.

http://i48.tinypic.com/s1m2af.png
Quote: C4Smoke

Good-One-Driver is a little noob crying kid who sux at renegade I say let little noob kid Good-One-Driver cry all he wants lmao
Cry away little tiny kid
Re: does scripts 4.0 for servers work on linux? [message #477668 is a reply to message #477632] Mon, 03 December 2012 07:38 Go to previous messageGo to next message
danpaul88 is currently offline  danpaul88
Messages: 5795
Registered: June 2004
Location: England
Karma: 0
General (5 Stars)
The renegade *client* has never worked natively in Linux, 4.0 doesn't change that. This topic is about whether the LFDS is compatible with SSGM 4.0 or not.

You might be able to get the client running under WINE, I believe people have succeeded in getting 4.0 running this way before for APB.


http://steamsignature.com/card/1/76561197975867233.png

[Updated on: Mon, 03 December 2012 07:39]

Report message to a moderator

Re: does scripts 4.0 for servers work on linux? [message #477669 is a reply to message #477632] Mon, 03 December 2012 07:42 Go to previous messageGo to next message
jonwil is currently offline  jonwil
Messages: 3555
Registered: February 2003
Karma: 0
General (3 Stars)

As someone who was intimately involved in the creation of scripts.dll on Linux and in the decision to axe Linux support, I can provide some info:
Firstly, scripts.dll supported Linux all the way up to scripts 3.4.4.
And secondly, the reason we made the decision to drop Linux support was because few people actually used it (due to the aforementioned Linux FDS suckiness) and because it was/is difficult to keep all the patches, changes, hacks and stuff working on Linux due to the big differences in the way Linux works compared to Windows.

That said, if (hypothetically) at some point in the future we decided to support the Linux FDS again, I would definatly do things differently...


Jonathan Wilson aka Jonwil
Creator and Lead Coder of the Custom scripts.dll
Renegade Engine Guru
Creator and Lead Coder of TT.DLL
Official member of Tiberian Technologies
Re: does scripts 4.0 for servers work on linux? [message #477670 is a reply to message #477669] Mon, 03 December 2012 08:30 Go to previous messageGo to next message
Ethenal is currently offline  Ethenal
Messages: 2532
Registered: January 2007
Location: US of A
Karma: 0
General (2 Stars)

jonwil wrote on Mon, 03 December 2012 08:42

Firstly, scripts.dll supported Linux all the way up to scripts 3.4.4.


Okay, I'm not crazy - I knew Linux was supported for WAY longer than the posters in here are claiming.


-TLS-DJ-EYE-K wrote on Mon, 18 March 2013 07:29

Instead of showing us that u aren't more inteligent than a Toast, maybe you should start becomming good in renegade Thumbs Up

Re: does scripts 4.0 for servers work on linux? [message #477679 is a reply to message #477632] Mon, 03 December 2012 20:33 Go to previous messageGo to next message
Gen_Blacky is currently offline  Gen_Blacky
Messages: 3250
Registered: September 2006
Karma: 1
General (3 Stars)
I was playing renegade on fedora with 3.4 with wine for about a week. Only thing that didn't seem to work right was the shader stuff.

http://s18.postimage.org/jc6qbn4k9/bricks3.png

[Updated on: Mon, 03 December 2012 20:34]

Report message to a moderator

Re: does scripts 4.0 for servers work on linux? [message #477680 is a reply to message #477632] Mon, 03 December 2012 23:46 Go to previous messageGo to next message
Good-One-Driver is currently offline  Good-One-Driver
Messages: 959
Registered: January 2009
Location: Ukraine
Karma: 0
Colonel
Yeah I knew linux worked because thats all he ever had, now he can't get renegade working with 4.0. but with 3.4.4. he could.

http://i48.tinypic.com/s1m2af.png
Quote: C4Smoke

Good-One-Driver is a little noob crying kid who sux at renegade I say let little noob kid Good-One-Driver cry all he wants lmao
Cry away little tiny kid
Re: does scripts 4.0 for servers work on linux? [message #477685 is a reply to message #477632] Tue, 04 December 2012 04:29 Go to previous messageGo to next message
EvilWhiteDragon is currently offline  EvilWhiteDragon
Messages: 3751
Registered: October 2005
Location: The Netherlands
Karma: 0
General (3 Stars)

3.4.4 on linux only worked for the FDS, not for the client.

http://www.blackintel.org/usr/evilwhitedragon/pointfix.gif
BlackIntel admin/founder/PR dude (not a coder)
Please visit http://www.blackintel.org/

V, V for Vendetta

People should not be afraid of their governments.
Governments should be afraid of their people.
Re: does scripts 4.0 for servers work on linux? [message #477686 is a reply to message #477669] Tue, 04 December 2012 05:23 Go to previous message
danpaul88 is currently offline  danpaul88
Messages: 5795
Registered: June 2004
Location: England
Karma: 0
General (5 Stars)
jonwil wrote on Mon, 03 December 2012 14:42

Firstly, scripts.dll supported Linux all the way up to scripts 3.4.4.


I didn't realise that, I thought Linux support was dropped when all the DirectX stuff was added in the 3.x versions, guess I just didn't pay attention at the time! Thanks for clarifying.


http://steamsignature.com/card/1/76561197975867233.png
Previous Topic: New hard drive, 4.0 takes me to Renegade game options screen.
Next Topic: how do i disable pure mode
Goto Forum:
  


Current Time: Sat Apr 13 09:40:22 MST 2024

Total time taken to generate the page: 0.00874 seconds